function time_serie_histog_phase()
% time_serie_histog_phase plot WTs distribution++
%+
% module
% ======
%
% ++
%
% DESCRIPTION
% ===========
%
% From ``occu.txt`` and ``phase[1-8].txt``, time_serie_histog_phase plots
% for each WT and each phase distribution ++.
% 2 Postscript files time_serie_type_tps_phase14.eps and 
% time_serie_type_tps_phase58.eps are written.
%
% EXAMPLES
% ========
%
% ::
%
% >> time_serie_histog_phase();
%
% SEE ALSO
% ========
%
% lagged_correlations_eof2_eof3_1030.m_
%
% .. _lagged_correlations_eof2_eof3_1030.m : lagged_correlations_eof2_eof3_1030.m.html
%
% composite_olr_phase.m_
%
% .. _composite_olr_phase.m : composite_olr_phase.m.html
%
% composite_olr_phase_num.m_
%
% .. _composite_olr_phase_num.m : composite_olr_phase_num.m.html
%
% time_serie_histog_phase_num.m_
%
% .. _time_serie_histog_phase_num.m : time_serie_histog_phase_num.m.html
%
% TODO
% ====
%
% improve description
%
% improve file pb
%
% use return function
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% - fplod 2009-01-28T09:35:17Z aedon.locean-ipsl.upmc.fr (Darwin)
%   
%   * replace calls to time_serie_histog_phase[1-8] by calls to
%     time_serie_histog_phase_num
%   * add comments in ReST
%   * EPS files in IRCAAM_OD
%-

global IRCAAM_OD;

close all;
figure(1);
orient('landscape')
phase_num=1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)

figure(2);
orient('landscape')
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)

clear phase_num:

figure(1);
fullfilename=[IRCAAM_OD,'time_serie_type_tps_phase14.eps'];
print('-depsc2',fullfilename);
clear fullfilename;

figure(2);
fullfilename=[IRCAAM_OD,'time_serie_type_tps_phase58.eps'];
print('-depsc2',fullfilename);
clear fullfilename;
